Create Store & TPN for Existing Merchant
POST
/onBoardMerchantAdd a new store and TPN under an already registered merchant by providing the existing `merchantId` in merchantData along with full storeData and tpnData. The following APIs allow you to manage store-level operations: - Onboard Store and TPN (Terminal Processing Number) - Enable or Disable ACH Payments If you require additional functionality or custom parameters, please contact your Dejavoo representative.
Header Parameters
Authorization*
stringBody Parameters
merchantData
merchantId*
stringstoreData
mccCode*
stringfirstName*
stringlastName
stringdba*
stringaddressLine1*
stringaddressLine2
stringzipCode*
stringemail*
stringphoneNumber*
stringISDcode*
stringebt
stringtpnData
deviceManufacturer*
enumdeviceModel*
enumtpnApplicationSign*
enumtpnAssignTemplate
stringtpnRoutingType*
enumdefaultLabel
stringtpnBin*
stringprocessorName*
enumprofileId*
enumMid*
stringAgent*
stringChain*
stringStore*
stringTermNo*
stringTermId*
stringABA_No
stringAgent_FIID
stringdsGroup
stringPOST/onBoardMerchant
1curl --location 'https://externalapi.ipospays.tech/v2/merchant/onBoardMerchant' \
2--header 'Authorization: ' \
3--header 'Content-Type: application/json' \
4--data '{
5 "merchantData": {
6 "merchantId": ""
7 },
8 "storeData": {
9 "mccCode": "0742",
10 "firstName": "John",
11 "lastName": "John",
12 "dba": "ABCZ",
13 "addressLine1": "8320 S HARDY DRIVE",
14 "addressLine2": "8320 S HARDY DRIVE",
15 "zipCode": "85284",
16 "email": "te12st@gmail.com",
17 "phoneNumber": "9898989898",
18 "ISDcode": "+1",
19 "ebt": "0910991"
20 },
21 "tpnData": {
22 "deviceManufacturer": "Cloud POS",
23 "deviceModel": "Cloud POS",
24 "tpnApplicationSign": "CRDT",
25 "tpnAssignTemplate": "",
26 "tpnRoutingType": "SIMPLE",
27 "defaultLabel": "onboardAPI",
28 "tpnBin": "999991",
29 "tpnProcessor": {
30 "processorName": "TSYS",
31 "profile": [
32 {
33 "profileId": "01",
34 "Mid": "886000003338",
35 "Agent": "000000",
36 "Chain": "111111",
37 "Store": "5999",
38 "TermNo": "1515",
39 "TermId": "75124668",
40 "ABA_No": "",
41 "Agent_FIID": "",
42 "dsGroup": ""
43 }
44 ]
45 }
46 }
47}'
Response
// Awaiting response…
Sample response
{
"message": "Store onboard successfully",
"data": {
"merchantId": "merchId12chr",
"storeId": "storeId12chr",
"tpn": "your_tpn_number",
"tpnId": "your_tpn_id"
}
}